html,
body {
  height: 100%;
}

.form-signin {
  max-width: 330px;
  padding: 1rem;
}

.form-signin .form-floating:focus-within {
  z-index: 2;
}

.form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
img.table-miniature{
	max-width: 120px;
	max-height: 80px;
	vertical-align: middle;
	
}
img.add-miniature{
	height: 120px;
	vertical-align: middle;
	
}

.rating{
	float:right;
	font-size:18;
}
.set-image{
	--native-dark-bg-color: #d9d9d9;
	background-color: #ffffff !important;
	    display: flex;
    align-items: center;
}
td.set-image{
	  justify-content: center;
		margin-top: 2px; 
}
.main-header{
	background-color:#1a2035;
	color: #1a2035;
}
.sidebar{
	background-color:#1a2035;
	color: #1a2035;
}




.funkyradio div {
  clear: both;
  overflow: hidden;
}

.funkyradio label {
  width: 100%;
  border-radius: 3px;
  border: 1px solid #D1D3D4;
  font-weight: normal;
}

.funkyradio input[type="radio"]:empty,
.funkyradio input[type="checkbox"]:empty {
  display: none;
}

.funkyradio input[type="radio"]:empty ~ label,
.funkyradio input[type="checkbox"]:empty ~ label {
  position: relative;
  line-height: 2.5em;
  text-indent: 3.25em;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.funkyradio input[type="radio"]:empty ~ label:before,
.funkyradio input[type="checkbox"]:empty ~ label:before {
  position: absolute;
  display: block;
  top: 0;
  bottom: 0;
  left: 0;
  content: '';
  width: 2.5em;
  background: #D1D3D4;
  border-radius: 3px 0 0 3px;
}

.funkyradio input[type="radio"]:hover:not(:checked) ~ label,
.funkyradio input[type="checkbox"]:hover:not(:checked) ~ label {
  color: #888;
}

.funkyradio input[type="radio"]:hover:not(:checked) ~ label:before,
.funkyradio input[type="checkbox"]:hover:not(:checked) ~ label:before {
  content: '\2714';
  text-indent: .9em;
  color: #C2C2C2;
}

.funkyradio input[type="radio"]:checked ~ label,
.funkyradio input[type="checkbox"]:checked ~ label {
  color: #777;
}

.funkyradio input[type="radio"]:checked ~ label:before,
.funkyradio input[type="checkbox"]:checked ~ label:before {
  content: '\2714';
  text-indent: .9em;
  color: #333;
  background-color: #ccc;
}

.funkyradio input[type="radio"]:focus ~ label:before,
.funkyradio input[type="checkbox"]:focus ~ label:before {
  box-shadow: 0 0 0 3px #999;
}

.funkyradio-default input[type="radio"]:checked ~ label:before,
.funkyradio-default input[type="checkbox"]:checked ~ label:before {
  color: #333;
  background-color: #ccc;
}

.funkyradio-primary input[type="radio"]:checked ~ label:before,
.funkyradio-primary input[type="checkbox"]:checked ~ label:before {
  color: #fff;
  background-color: #337ab7;
}

.funkyradio-success input[type="radio"]:checked ~ label:before,
.funkyradio-success input[type="checkbox"]:checked ~ label:before {
  color: #fff;
  background-color: #5cb85c;
}

.funkyradio-danger input[type="radio"]:checked ~ label:before,
.funkyradio-danger input[type="checkbox"]:checked ~ label:before {
  color: #fff;
  background-color: #d9534f;
}

.funkyradio-warning input[type="radio"]:checked ~ label:before,
.funkyradio-warning input[type="checkbox"]:checked ~ label:before {
  color: #fff;
  background-color: #f0ad4e;
}

.funkyradio-info input[type="radio"]:checked ~ label:before,
.funkyradio-info input[type="checkbox"]:checked ~ label:before {
  color: #fff;
  background-color: #5bc0de;
}

.btn{
	margin:5px;
}






/* configuration */
/* mixin */
/* placeholder */
.circle.val-100 .val-bar:after, .circle.val-99 .val-bar:after, .circle.val-98 .val-bar:after, .circle.val-97 .val-bar:after, .circle.val-96 .val-bar:after, .circle.val-95 .val-bar:after, .circle.val-94 .val-bar:after, .circle.val-93 .val-bar:after, .circle.val-92 .val-bar:after, .circle.val-91 .val-bar:after, .circle.val-90 .val-bar:after, .circle.val-89 .val-bar:after, .circle.val-88 .val-bar:after, .circle.val-87 .val-bar:after, .circle.val-86 .val-bar:after, .circle.val-85 .val-bar:after, .circle.val-84 .val-bar:after, .circle.val-83 .val-bar:after, .circle.val-82 .val-bar:after, .circle.val-81 .val-bar:after, .circle.val-80 .val-bar:after, .circle.val-79 .val-bar:after, .circle.val-78 .val-bar:after, .circle.val-77 .val-bar:after, .circle.val-76 .val-bar:after, .circle.val-75 .val-bar:after, .circle.val-74 .val-bar:after, .circle.val-73 .val-bar:after, .circle.val-72 .val-bar:after, .circle.val-71 .val-bar:after, .circle.val-70 .val-bar:after, .circle.val-69 .val-bar:after, .circle.val-68 .val-bar:after, .circle.val-67 .val-bar:after, .circle.val-66 .val-bar:after, .circle.val-65 .val-bar:after, .circle.val-64 .val-bar:after, .circle.val-63 .val-bar:after, .circle.val-62 .val-bar:after, .circle.val-61 .val-bar:after, .circle.val-60 .val-bar:after, .circle.val-59 .val-bar:after, .circle.val-58 .val-bar:after, .circle.val-57 .val-bar:after, .circle.val-56 .val-bar:after, .circle.val-55 .val-bar:after, .circle.val-54 .val-bar:after, .circle.val-53 .val-bar:after, .circle.val-52 .val-bar:after, .circle.val-51 .val-bar:after {
  position: absolute;
  content: "";
  -webkit-clip-path: inset(0 0 0 50%);
          clip-path: inset(0 0 0 50%);
  transform: rotate(0deg);
  width: 60px;
  height: 60px;
  border: 20px solid #74B3CE;
  background: transparent;
  border-radius: 100%;
  transition: width 0.2s ease-out, height 0.2s ease-out, border-width 0.2s ease-out;
}

.circle.val-100 .val-bar, .circle.val-99 .val-bar, .circle.val-98 .val-bar, .circle.val-97 .val-bar, .circle.val-96 .val-bar, .circle.val-95 .val-bar, .circle.val-94 .val-bar, .circle.val-93 .val-bar, .circle.val-92 .val-bar, .circle.val-91 .val-bar, .circle.val-90 .val-bar, .circle.val-89 .val-bar, .circle.val-88 .val-bar, .circle.val-87 .val-bar, .circle.val-86 .val-bar, .circle.val-85 .val-bar, .circle.val-84 .val-bar, .circle.val-83 .val-bar, .circle.val-82 .val-bar, .circle.val-81 .val-bar, .circle.val-80 .val-bar, .circle.val-79 .val-bar, .circle.val-78 .val-bar, .circle.val-77 .val-bar, .circle.val-76 .val-bar, .circle.val-75 .val-bar, .circle.val-74 .val-bar, .circle.val-73 .val-bar, .circle.val-72 .val-bar, .circle.val-71 .val-bar, .circle.val-70 .val-bar, .circle.val-69 .val-bar, .circle.val-68 .val-bar, .circle.val-67 .val-bar, .circle.val-66 .val-bar, .circle.val-65 .val-bar, .circle.val-64 .val-bar, .circle.val-63 .val-bar, .circle.val-62 .val-bar, .circle.val-61 .val-bar, .circle.val-60 .val-bar, .circle.val-59 .val-bar, .circle.val-58 .val-bar, .circle.val-57 .val-bar, .circle.val-56 .val-bar, .circle.val-55 .val-bar, .circle.val-54 .val-bar, .circle.val-53 .val-bar, .circle.val-52 .val-bar, .circle.val-51 .val-bar {
  -webkit-clip-path: none;
          clip-path: none;
}

/* percentage circle style */
.circle {
  width: 60px;
  height: 60px;
  cursor: default;
}
.circle span {
  position: absolute;
  display: block;
  vertical-align: middle;
  width: 60px;
  height: 60px;
  text-align: center;
  color: #74B3CE;
  line-height: 60px;
  font-size: 25px;
  font-family: Helvetica, Arial, Geneva, sans-serif;
  transition: font-size 0.2s ease-out;
}

.circle span.min{
	
  font-size: 15px;
}

.circle:before {
  position: absolute;
  content: "";
  background-color: transparent;
  width: 60px;
  height: 60px;
  border: 10px solid #1a2035;
  background: transparent;
  border-radius: 100%;
  transition: width 0.2s ease-out, height 0.2s ease-out, border-width 0.2s ease-out;
}
.circle .val-bar {
  width: 60px;
  height: 60px;
  position: absolute;
  -webkit-clip-path: inset(0 0 0 50%);
          clip-path: inset(0 0 0 50%);
}
.circle .val-bar:before {
  position: absolute;
  content: "";
  -webkit-clip-path: inset(0 50% 0 0);
          clip-path: inset(0 50% 0 0);
  transform: rotate(0deg);
  width: 60px;
  height: 60px;
  border: 10px solid #74B3CE;
  background: transparent;
  border-radius: 100%;
  transition: width 0.2s ease-out, height 0.2s ease-out, border-width 0.2s ease-out;
}

.circle.val-9 .val-bar:before {
  transform: rotate(360deg);
  border: 10px solid green;
}
.circle.val-8 .val-bar:before {
  transform: rotate(320deg);
  border: 10px solid green;
}
.circle.val-7 .val-bar:before {
  transform: rotate(2800deg);
  border: 10px solid orange;
}
.circle.val-6 .val-bar:before {
  transform: rotate(240deg);
  border: 10px solid orange;
}
.circle.val-5 .val-bar:before {
  transform: rotate(200deg);
  border: 10px solid red;
}
.circle.val-4 .val-bar:before {
  transform: rotate(160deg);
  border: 10px solid red;
}
.circle.val-3 .val-bar:before {
  transform: rotate(120deg);
  border: 10px solid red;
}
.circle.val-2 .val-bar:before {
  transform: rotate(80deg);
  border: 10px solid red;
}
.circle.val-1 .val-bar:before {
  transform: rotate(40deg);
  border: 10px solid red;
}
.circle.val-0 .val-bar:before {
  transform: rotate(0deg);
  border: 10px solid red;
}


span.hidden{
	content-visibility: hidden;
}